package androidx.core.util;

import androidx.annotation.RestrictTo;
import java.io.PrintWriter;
@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
/* loaded from: classes.dex */
public final class TimeUtils {
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public static final int HUNDRED_DAY_FIELD_LEN = 19;
    private static final int SECONDS_PER_DAY = 86400;
    private static final int SECONDS_PER_HOUR = 3600;
    private static final int SECONDS_PER_MINUTE = 60;
    private static final Object sFormatSync = new Object();
    private static char[] sFormatStr = new char[24];

    private static int accumField(int i, int i2, boolean z, int i3) {
        if (i > 99 || (z && i3 >= 3)) {
            return 3 + i2;
        }
        if (i > 9 || (z && i3 >= 2)) {
            return 2 + i2;
        }
        if (z || i > 0) {
            return 1 + i2;
        }
        return 0;
    }

    private static int printField(char[] cArr, int i, char c, int i2, boolean z, int i3) {
        int i4 = i;
        int i5 = i2;
        if (z || i4 > 0) {
            if ((z && i3 >= 3) || i4 > 99) {
                int i6 = i4 / 100;
                cArr[i5] = (char) (i6 + 48);
                i5++;
                i4 -= i6 * 100;
            }
            if ((z && i3 >= 2) || i4 > 9 || i5 != i5) {
                int i7 = i4 / 10;
                cArr[i5] = (char) (i7 + 48);
                i5++;
                i4 -= i7 * 10;
            }
            cArr[i5] = (char) (i4 + 48);
            int i8 = i5 + 1;
            cArr[i8] = c;
            i5 = i8 + 1;
        }
        return i5;
    }

    private static int formatDurationLocked(long j, int i) {
        char c;
        long j2 = j;
        if (sFormatStr.length < i) {
            sFormatStr = new char[i];
        }
        char[] cArr = sFormatStr;
        if (j2 == 0) {
            int i2 = i - 1;
            while (0 < i2) {
                cArr[0] = ' ';
            }
            cArr[0] = '0';
            return 0 + 1;
        }
        if (j2 > 0) {
            c = '+';
        } else {
            c = '-';
            j2 = -j2;
        }
        int i3 = (int) (j2 % 1000);
        int floor = (int) Math.floor(j2 / 1000);
        int i4 = 0;
        int i5 = 0;
        int i6 = 0;
        if (floor > SECONDS_PER_DAY) {
            i4 = floor / SECONDS_PER_DAY;
            floor -= i4 * SECONDS_PER_DAY;
        }
        if (floor > SECONDS_PER_HOUR) {
            i5 = floor / SECONDS_PER_HOUR;
            floor -= i5 * SECONDS_PER_HOUR;
        }
        if (floor > 60) {
            i6 = floor / 60;
            floor -= i6 * 60;
        }
        int i7 = 0;
        if (i != 0) {
            int accumField = accumField(i4, 1, false, 0);
            int accumField2 = accumField + accumField(i5, 1, accumField > 0, 2);
            int accumField3 = accumField2 + accumField(i6, 1, accumField2 > 0, 2);
            int accumField4 = accumField3 + accumField(floor, 1, accumField3 > 0, 2);
            for (int accumField5 = accumField4 + accumField(i3, 2, true, accumField4 > 0 ? 3 : 0) + 1; accumField5 < i; accumField5++) {
                cArr[i7] = ' ';
                i7++;
            }
        }
        cArr[i7] = c;
        int i8 = i7 + 1;
        boolean z = i != 0;
        int printField = printField(cArr, i4, 'd', i8, false, 0);
        int printField2 = printField(cArr, i5, 'h', printField, printField != i8, z ? 2 : 0);
        int printField3 = printField(cArr, i6, 'm', printField2, printField2 != i8, z ? 2 : 0);
        int printField4 = printField(cArr, floor, 's', printField3, printField3 != i8, z ? 2 : 0);
        int printField5 = printField(cArr, i3, 'm', printField4, true, (!z || printField4 == i8) ? 0 : 3);
        cArr[printField5] = 's';
        return printField5 + 1;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public static void formatDuration(long j, StringBuilder sb) {
        synchronized (sFormatSync) {
            sb.append(sFormatStr, 0, formatDurationLocked(j, 0));
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public static void formatDuration(long j, PrintWriter printWriter, int i) {
        synchronized (sFormatSync) {
            printWriter.print(new String(sFormatStr, 0, formatDurationLocked(j, i)));
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public static void formatDuration(long j, PrintWriter printWriter) {
        formatDuration(j, printWriter, 0);
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public static void formatDuration(long j, long j2, PrintWriter printWriter) {
        if (j == 0) {
            printWriter.print("--");
        } else {
            formatDuration(j - j2, printWriter, 0);
        }
    }

    private TimeUtils() {
    }
}
